%define major   4
%define libname %mklibname fastjson %{major}
%define devel   %mklibname fastjson -d

Name:           libfastjson
Version:        1.2304.0
Release:        %mkrel 1
Summary:        A fast json library for C
Group:          System/Libraries
License:        BSD
URL:            https://github.com/rsyslog/libfastjson
Source0:        https://github.com/rsyslog/libfastjson/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  automake

%description
The aim of this project is not to provide a slightly modified clone of json-c.

It's aim is to provide
- a small library with essential json handling functions
- sufficiently good json support (not 100% standards compliant)
- be very fast in processing

In order to reach these goals, we reduce the features of json-c.

%package -n %{libname}
Summary:        A fast json library for C
Group:          System/Libraries

%description -n %{libname}
The aim of this project is not to provide a slightly modified clone of json-c.

It's aim is to provide
- a small library with essential json handling functions
- sufficiently good json support (not 100% standards compliant)
- be very fast in processing

In order to reach these goals, we reduce the features of json-c.

%package -n %{devel}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       fastjson-devel = %{version}-%{release}

%description -n %{devel}
The aim of this project is not to provide a slightly modified clone of json-c.

It's aim is to provide
- a small library with essential json handling functions
- sufficiently good json support (not 100% standards compliant)
- be very fast in processing

In order to reach these goals, we reduce the features of json-c.

This package contains the development files for %{name}.

%prep
%autosetup

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README* ChangeLog NEWS AUTHORS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devel}
%{_includedir}/libfastjson/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfastjson.pc


%changelog
* Wed Apr 19 2023 kekepower <kekepower> 1.2304.0-1.mga8
+ Revision: 1953610
- Update to version 1.2304.0 (mga#31812)

* Mon Jan 25 2021 kekepower <kekepower> 0.99.9-1.mga8
+ Revision: 1673270
- Update to version 0.99.9

* Sat Feb 15 2020 umeabot <umeabot> 0.99.8-6.mga8
+ Revision: 1526055
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 24 2019 daviddavid <daviddavid> 0.99.8-5.mga7
+ Revision: 1395179
- rebuild for bad signatures (mga#24709)

* Sun Sep 23 2018 umeabot <umeabot> 0.99.8-4.mga7
+ Revision: 1298839
- Mageia 7 Mass Rebuild

* Wed Apr 18 2018 daviddavid <daviddavid> 0.99.8-3.mga7
+ Revision: 1219770
- fix shared library and devel library install path
- fix Group
- add provide on devel subpkg

* Tue Apr 17 2018 kekepower <kekepower> 0.99.8-2.mga7
+ Revision: 1219728
- Devel package requires lib-package

* Tue Apr 17 2018 kekepower <kekepower> 0.99.8-1.mga7
+ Revision: 1219722
- imported package libfastjson

